## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 16;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm
%bcond_without check

# https://github.com/xordataexchange/crypt
%global goipath         github.com/xordataexchange/crypt
Version:                0.0.2
%global commit          b2862e3d0a775f18c7cfe02273500ae307b61218

%gometa

%global common_description %{expand:
Store and retrieve encrypted configs from etcd or consul.}

%global golicenses      LICENSE
%global godocs          README.md README-crypt.md README-config.md

Name:           %{goname}
Release:        %autorelease
Summary:        Store and retrieve encrypted configs from etcd or consul

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/armon/consul-api)
BuildRequires:  golang(go.etcd.io/etcd/client/v2)
BuildRequires:  golang(golang.org/x/crypto/openpgp)

%description
%{common_description}

%gopkg

%prep
%goprep
sed -i "s|github.com/coreos/etcd/client|go.etcd.io/etcd/client/v2|" $(find . -iname "*.go" -type f)
mv bin/crypt/README.md README-crypt.md
mv config/README.md README-config.md

%build
for cmd in bin/crypt; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license %{golicenses}
%doc %{godocs}
%{_bindir}/*

%gopkgfiles

%changelog
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> 0.0.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Aug 10 2022 Maxwell G <gotmax@e.email> 0.0.2-15
- Rebuild to fix FTBFS

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.0.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> 0.0.2-13
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> 0.0.2-12
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Sat Apr 16 2022 Fabio Alessandro Locati <me@fale.io> 0.0.2-11
- Rebuilt for CVE-2022-27191

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.0.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Sep 17 2021 Robert-André Mauchin <zebob.m@gmail.com> 0.0.2-9
- Replace import path for etcd with new one Close: rhbz1996416,
  rhbz#1996438
